grst_admin_gacl.c File Reference

## Functions

void | show_acl (int admin, GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | new_entry_form (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | new_entry (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | del_entry (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | edit_entry_form (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | edit_entry (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | add_cred_form (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | add_cred (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | del_cred (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | del_entry_sure (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | del_cred_sure (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | admin_continue (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file, GRSThttpBody *bp)
void | StartHTML (GRSThttpBody *bp, char *dir_uri, char *dir_path)
void | StartForm (GRSThttpBody *bp, char *dir_uri, char *dir_path, char *admin_file, int timestamp, char *target_function)
void | EndForm (GRSThttpBody *bp)
void | GRSTgaclCredTableStart (GRSThttpBody *bp)
void | GRSTgaclCredTableAdd (GRSTgaclUser *user, GRSTgaclEntry *entry, GRSTgaclCred *cred, int cred_no, int entry_no, int admin, int timestamp, GRSThttpBody *bp, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
void | GRSTgaclCredTableEnd (GRSTgaclEntry *entry, int entry_no, int admin, int timestamp, GRSThttpBody *bp, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)
int | GACLentriesInAcl (GRSTgaclAcl *acl)
int | GRSTgaclCredsInEntry (GRSTgaclEntry *entry)
void | check_acl_save (char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file, GRSTgaclUser *user, GRSTgaclAcl *acl, GRSThttpBody *bp)
void | GACLeditGetPerms (GRSTgaclEntry *entry)
GRSTgaclEntry * | GACLreturnEntry (GRSTgaclAcl *acl, int entry_no)
GRSTgaclCred * | GACLreturnCred (GRSTgaclEntry *entry, int cred_no)
void | StringHTMLEncode (char *string, GRSThttpBody *bp)
void | revert_acl (GRSTgaclUser *user, char *dn, GRSTgaclPerm perm, char *help_uri, char *dir_path, char *file, char *dir_uri, char *admin_file)

## Variables

char * | grst_perm_syms []
int | grst_perm_vals []

## Function Documentation

## add_cred()

void add_cred | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## add_cred_form()

void add_cred_form | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## admin_continue()

void admin_continue | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file,
|  | GRSThttpBody * | bp )

## check_acl_save()

void check_acl_save | ( | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file,
|  | GRSTgaclUser * | user,
|  | GRSTgaclAcl * | acl,
|  | GRSThttpBody * | bp )

## del_cred()

void del_cred | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## del_cred_sure()

void del_cred_sure | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## del_entry()

void del_entry | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## del_entry_sure()

void del_entry_sure | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## edit_entry()

void edit_entry | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## edit_entry_form()

void edit_entry_form | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## EndForm()

void EndForm | ( | GRSThttpBody * | bp | ) |

## GACLeditGetPerms()

void GACLeditGetPerms | ( | GRSTgaclEntry * | entry | ) |

## GACLentriesInAcl()

int GACLentriesInAcl | ( | GRSTgaclAcl * | acl | ) |

## GACLreturnCred()

GRSTgaclCred * GACLreturnCred | ( | GRSTgaclEntry * | entry,
|  | int | cred_no )

## GACLreturnEntry()

GRSTgaclEntry * GACLreturnEntry | ( | GRSTgaclAcl * | acl,
|  | int | entry_no )

## GRSTgaclCredsInEntry()

int GRSTgaclCredsInEntry | ( | GRSTgaclEntry * | entry | ) |

## GRSTgaclCredTableAdd()

void GRSTgaclCredTableAdd | ( | GRSTgaclUser * | user,
|  | GRSTgaclEntry * | entry,
|  | GRSTgaclCred * | cred,
|  | int | cred_no,
|  | int | entry_no,
|  | int | admin,
|  | int | timestamp,
|  | GRSThttpBody * | bp,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## GRSTgaclCredTableEnd()

void GRSTgaclCredTableEnd | ( | GRSTgaclEntry * | entry,
|  | int | entry_no,
|  | int | admin,
|  | int | timestamp,
|  | GRSThttpBody * | bp,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## GRSTgaclCredTableStart()

void GRSTgaclCredTableStart | ( | GRSThttpBody * | bp | ) |

## new_entry()

void new_entry | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## new_entry_form()

void new_entry_form | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## revert_acl()

void revert_acl | ( | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## show_acl()

void show_acl | ( | int | admin,
|  | GRSTgaclUser * | user,
|  | char * | dn,
|  | GRSTgaclPerm | perm,
|  | char * | help_uri,
|  | char * | dir_path,
|  | char * | file,
|  | char * | dir_uri,
|  | char * | admin_file )

## StartForm()

void StartForm | ( | GRSThttpBody * | bp,
|  | char * | dir_uri,
|  | char * | dir_path,
|  | char * | admin_file,
|  | int | timestamp,
|  | char * | target_function )

## StartHTML()

void StartHTML | ( | GRSThttpBody * | bp,
|  | char * | dir_uri,
|  | char * | dir_path )

## StringHTMLEncode()

void StringHTMLEncode | ( | char * | string,
|  | GRSThttpBody * | bp )

## Variable Documentation

## grst_perm_syms

char* grst_perm_syms[]

extern

## grst_perm_vals

int grst_perm_vals[]

extern